Bug 47643 - [RFE] update packages as a whole
[RFE] update packages as a whole
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
: FutureFeature
: 28585 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-07-06 07:23 EDT by Mike Chambers
Modified: 2015-01-07 18:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-05 16:13:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Chambers 2001-07-06 07:23:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0b; Windows NT 5.0)

Description of problem:
I think adding an option to allow updating the package/component as a 
whole would be nice.  Such as updating/installed KDE as a whole instead of 
one package at a time.

How reproducible:

Steps to Reproduce:
1.up2date package

Actual Results:  It only updates the package name your specifiy and 
immediate dependencies involved but not the whole kit and kaboodle.

Expected Results:  Add an option or function to allow to update the whole 
package completely, such as up2date KDE would install all of KDE, or 
up2date GNOME would install all the gnome components.

Additional info:

You could add an option to up2date such as --complete so when you 
do "up2date --complete kdebase", it see's you want to update kdebase and 
seeign the --complete would mean you want to update all of KDE not just 
immediate dependencies involved.

Or add names to the components as a whole such as "update APACHE" would 
update/install ALL apache components that goes with it not just the 
dependencies that go with it.
Comment 1 Adrian Likins 2001-07-06 14:37:17 EDT
A future version of up2date may include support for installing
"comps" (aka, stuff like "gnome workstation" or "news server" from the
installer...) and/or package groups (aka, "Games", "Applications/Databases",
"Applications/Multimedia", etc). 

Comment 2 Mike Chambers 2001-07-06 16:49:53 EDT
If you go this sort of route, maybe add a package file on cd or something so 
that you can tell what packages go with what comps or system or whatever it 
is.  Maybe even include it in the rpm package to look it up like you can a file 
to a package, except add a what package to what comps or whatever.


rpm -qp kdebase would show it belongs to comps KDE or whatever.
Comment 3 panu.matilainen 2001-07-11 04:58:13 EDT
While at it: adding support for wildcards would go some way towards the same
result. Something like "update kde.\*" which would install all the packages
beginning with "kde" and their dependencies.
Comment 4 Adrian Likins 2002-05-16 15:20:25 EDT
*** Bug 28585 has been marked as a duplicate of this bug. ***
Comment 5 Mike Chambers 2003-04-02 22:19:23 EST
Comment 6 Adrian Likins 2004-04-05 16:13:09 EDT
fedora has support for both "comps" and globs,

up2date "kde*"

or `up2date "@KDE Desktop Environment"`

Note You need to log in before you can comment on or make changes to this bug.